[SWS-370] 'KeyStoreUtils.loadDefaultKeyStore()' issue Created: 07/Jun/08  Updated: 21/Jul/08  Resolved: 29/Jun/08

Status: Closed
Project: Spring Web Services
Component/s: Security
Affects Version/s: 1.5.2
Fix Version/s: 1.5.3

Type: Bug Priority: Trivial
Reporter: Michel Zanini Assignee: Arjen Poutsma
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: 10m
Time Spent: Not Specified
Original Estimate: 10m


 Description   

In the loadDefaultKeyStore method of org.springframework.ws.soap.security.support.KeyStoreUtils class I found this code:

....
String passwordProperty = System.getProperty("javax.net.ssl.keyStorePassword");
if (StringUtils.hasLength(passwordProperty))

{ password = passwordProperty; }

type = System.getProperty("javax.net.ssl.trustStore");
}
....

In the line, System.getProperty("javax.net.ssl.trustStore"), the String parameter should be "javax.net.ssl.keyStoreType", right?



 Comments   
Comment by Michel Zanini [ 07/Jun/08 ]

It is possible to move the package 'org.springframework.ws.soap.security.support' to another component? Maybe the spring-ws-core or spring-ws-support.

I need this package to easy configure SSL and i don't want spring-ws-security component and this dependencies. The package is not related ONLY with ws-security, but with security in general. Even better, for me, if this classes would be in the springframework.

Comment by Arjen Poutsma [ 29/Jun/08 ]

As for moving the class to Spring Core, that would be hard, since Spring-WS depends on this package name, and has to be backwards compatible with earlier versions.

Comment by Arjen Poutsma [ 29/Jun/08 ]

Resolved, thanks for pointing this out!

Comment by Arjen Poutsma [ 21/Jul/08 ]

Closing issues in 1.5.3

Generated at Sun Dec 17 14:03:45 UTC 2017 using JIRA 6.4.14#64029-sha1:ae256fe0fbb912241490ff1cecfb323ea0905ca5.